Package com.collibra.dgc.core.api.dto.workflow

# Class ChangeWorkflowDefinitionRequest

Object
ChangeWorkflowDefinitionRequest

All Implemented Interfaces:
  `Serializable`

public class ChangeWorkflowDefinitionRequest extends Object implements Serializable
The properties of the workflow definition to be changed.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ChangeWorkflowDefinitionRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeWorkflowDefinitionRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeWorkflowDefinitionRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `WorkflowBusinessItemType`
  `getBusinessItemResourceType()`
  The type of the business item corresponding to the workflow.
  `Boolean`
  `getCandidateUserCheckDisabled()`
  Deprecated.
  `Boolean`
  `getCandidateUserCheckEnabled()`
  Whether the candidate user check for the workflow should be enabled.
  `Map<String,String>`
  `getConfigurationVariables()`
  The configuration variables.
  `String`
  `getDescription()`
  The new description for the workflow definition.
  `Boolean`
  `getEnable()`
  Whether the workflow definition should be enabled.
  `WorkflowExclusivity`
  `getExclusivity()`
  Defines the number of times a resource workflow is able to be start (see `WorkflowExclusivity`).
  `Boolean`
  `getGlobalCreate()`
  Whether the workflow is accessible from the global create menu.
  `Boolean`
  `getGuestUserAccessible()`
  Whether the workflow should be accessible by the guest user
  `UUID`
  `getId()`
  Required. The ID of the workflow definition.
  `String`
  `getName()`
  The name of the workflow definition.
  `List<UUID>`
  `getReassignRoleIds()`
  The list of IDs identifying the roles allowing to reassign the workflow.
  `Boolean`
  `getRegisteredUserAccessible()`
  Whether the workflow should be accessible by the registered user.
  `List<WorkflowStartEventType>`
  `getStartEvents()`
  The list of workflow start event types.
  `String`
  `getStartLabel()`
  The start label of the workflow.
  `List<UUID>`
  `getStartRoleIds()`
  The list of IDs identifying the roles allowing to start the workflow.
  `List<UUID>`
  `getStopRoleIds()`
  The list of IDs identifying the roles allowing to stop the workflow.
  `int`
  `hashCode()`
  `void`
  `setBusinessItemResourceType(WorkflowBusinessItemType businessItemResourceType)`
  The type of the business item corresponding to the workflow.
  `void`
  `setCandidateUserCheckDisabled(Boolean candidateUserCheckDisabled)`
  Deprecated.
  `void`
  `setCandidateUserCheckEnabled(Boolean candidateUserCheckEnabled)`
  Whether the candidate user check for the workflow should be enabled.
  `void`
  `setConfigurationVariables(Map<String,String> configurationVariables)`
  The configuration variables.
  `void`
  `setDescription(String description)`
  The new description for the workflow definition.
  `void`
  `setEnable(Boolean enable)`
  Whether the workflow definition should be enabled.
  `void`
  `setExclusivity(WorkflowExclusivity exclusivity)`
  Defines the number of times a resource workflow is able to be start (see `WorkflowExclusivity`).
  `void`
  `setGlobalCreate(Boolean globalCreate)`
  Whether the workflow is accessible from the global create menu.
  `void`
  `setGuestUserAccessible(Boolean guestUserAccessible)`
  Whether the workflow should be accessible by the guest user
  `void`
  `setId(UUID id)`
  Required. The ID of the workflow definition.
  `void`
  `setName(String name)`
  The name of the workflow definition.
  `void`
  `setReassignRoleIds(List<UUID> reassignRoleIds)`
  The list of IDs identifying the roles allowing to reassign the workflow.
  `void`
  `setRegisteredUserAccessible(Boolean registeredUserAccessible)`
  Whether the workflow should be accessible by the registered user.
  `void`
  `setStartEvents(List<WorkflowStartEventType> startEvents)`
  The list of workflow start event types.
  `void`
  `setStartLabel(String startLabel)`
  The start label of the workflow.
  `void`
  `setStartRoleIds(List<UUID> startRoleIds)`
  The list of IDs identifying the roles allowing to start the workflow.
  `void`
  `setStopRoleIds(List<UUID> stopRoleIds)`
  The list of IDs identifying the roles allowing to stop the workflow.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeWorkflowDefinitionRequest

    public ChangeWorkflowDefinitionRequest()

- ## Method Details

  - ### builder

    public static ChangeWorkflowDefinitionRequest.Builder builder()

  - ### getId

    public UUID getId()
    Required. The ID of the workflow definition. Silently ignored if the ID is provided as path parameter of the request.

  - ### getName

    public String getName()
    The name of the workflow definition.

  - ### getDescription

    public String getDescription()
    The new description for the workflow definition.

  - ### getConfigurationVariables

    public Map<String,String> getConfigurationVariables()
    The configuration variables.

  - ### getStartEvents

    public List<WorkflowStartEventType> getStartEvents()
    The list of workflow start event types.

  - ### getBusinessItemResourceType

    public WorkflowBusinessItemType getBusinessItemResourceType()
    The type of the business item corresponding to the workflow.

  - ### getExclusivity

    public WorkflowExclusivity getExclusivity()
    Defines the number of times a resource workflow is able to be start (see `WorkflowExclusivity`).

  - ### getGuestUserAccessible

    public Boolean getGuestUserAccessible()
    Whether the workflow should be accessible by the guest user

  - ### getRegisteredUserAccessible

    public Boolean getRegisteredUserAccessible()
    Whether the workflow should be accessible by the registered user.

  - ### getCandidateUserCheckDisabled

    @Deprecated public Boolean getCandidateUserCheckDisabled()
    Deprecated.
    Whether the candidate user check for the workflow should be disabled.

  - ### getCandidateUserCheckEnabled

    public Boolean getCandidateUserCheckEnabled()
    Whether the candidate user check for the workflow should be enabled.

  - ### getGlobalCreate

    public Boolean getGlobalCreate()
    Whether the workflow is accessible from the global create menu.

  - ### getEnable

    public Boolean getEnable()
    Whether the workflow definition should be enabled.

  - ### getStartLabel

    public String getStartLabel()
    The start label of the workflow.

  - ### getStartRoleIds

    public List<UUID> getStartRoleIds()
    The list of IDs identifying the roles allowing to start the workflow.

  - ### getStopRoleIds

    public List<UUID> getStopRoleIds()
    The list of IDs identifying the roles allowing to stop the workflow.

  - ### getReassignRoleIds

    public List<UUID> getReassignRoleIds()
    The list of IDs identifying the roles allowing to reassign the workflow.

  - ### setId

    public void setId(UUID id)
    Required. The ID of the workflow definition. Silently ignored if the ID is provided as path parameter of the request.

  - ### setName

    public void setName(String name)
    The name of the workflow definition.

  - ### setDescription

    public void setDescription(String description)
    The new description for the workflow definition.

  - ### setConfigurationVariables

    public void setConfigurationVariables(Map<String,String> configurationVariables)
    The configuration variables.

  - ### setStartEvents

    public void setStartEvents(List<WorkflowStartEventType> startEvents)
    The list of workflow start event types.

  - ### setBusinessItemResourceType

    public void setBusinessItemResourceType(WorkflowBusinessItemType businessItemResourceType)
    The type of the business item corresponding to the workflow.

  - ### setExclusivity

    public void setExclusivity(WorkflowExclusivity exclusivity)
    Defines the number of times a resource workflow is able to be start (see `WorkflowExclusivity`).

  - ### setGuestUserAccessible

    public void setGuestUserAccessible(Boolean guestUserAccessible)
    Whether the workflow should be accessible by the guest user

  - ### setRegisteredUserAccessible

    public void setRegisteredUserAccessible(Boolean registeredUserAccessible)
    Whether the workflow should be accessible by the registered user.

  - ### setCandidateUserCheckDisabled

    @Deprecated public void setCandidateUserCheckDisabled(Boolean candidateUserCheckDisabled)
    Deprecated.
    Whether the candidate user check for the workflow should be disabled.

  - ### setCandidateUserCheckEnabled

    public void setCandidateUserCheckEnabled(Boolean candidateUserCheckEnabled)
    Whether the candidate user check for the workflow should be enabled.

  - ### setGlobalCreate

    public void setGlobalCreate(Boolean globalCreate)
    Whether the workflow is accessible from the global create menu.

  - ### setEnable

    public void setEnable(Boolean enable)
    Whether the workflow definition should be enabled.

  - ### setStartLabel

    public void setStartLabel(String startLabel)
    The start label of the workflow.

  - ### setStartRoleIds

    public void setStartRoleIds(List<UUID> startRoleIds)
    The list of IDs identifying the roles allowing to start the workflow.

  - ### setStopRoleIds

    public void setStopRoleIds(List<UUID> stopRoleIds)
    The list of IDs identifying the roles allowing to stop the workflow.

  - ### setReassignRoleIds

    public void setReassignRoleIds(List<UUID> reassignRoleIds)
    The list of IDs identifying the roles allowing to reassign the workflow.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`